summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-12-11 08:04:02 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-12-12 17:41:07 +0000
commit0ed31949d17dadde0e04e28617f2773f146e3e4b (patch)
tree953a3243492bf1ef4794ea1f76cc0f2697699c46
parentReleasing version 20221122. (diff)
downloadservice-tools-0ed31949d17dadde0e04e28617f2773f146e3e4b.tar.xz
service-tools-0ed31949d17dadde0e04e28617f2773f146e3e4b.zip
Adding znuny-tools.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rw-r--r--znuny/Makefile80
-rwxr-xr-xznuny/bin/otrs.Console.pl24
-rwxr-xr-xznuny/bin/otrs.Daemon.pl24
-rwxr-xr-xznuny/bin/znuny-setup66
4 files changed, 194 insertions, 0 deletions
diff --git a/znuny/Makefile b/znuny/Makefile
new file mode 100644
index 0000000..6b3744b
--- /dev/null
+++ b/znuny/Makefile
@@ -0,0 +1,80 @@
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+SHELL := sh -e
+
+SCRIPTS = bin/*
+
+all: build
+
+test:
+ @echo -n "Checking for syntax errors with sh... "
+ @for SCRIPT in $(SCRIPTS); \
+ do \
+ sh -n $${SCRIPT}; \
+ echo -n "."; \
+ done
+ @echo " done."
+
+ @echo -n "Checking for bashisms... "
+ @if [ -x /usr/bin/checkbashisms ]; \
+ then \
+ for SCRIPT in $(SCRIPTS); \
+ do \
+ checkbashisms -f -x $${SCRIPT}; \
+ echo -n "."; \
+ done; \
+ else \
+ echo "Note: devscripts not installed, skipping checkbashisms."; \
+ fi
+ @echo " done."
+
+ @echo -n "Checking with shellcheck... "
+ @if [ -x /usr/bin/shellcheck ]; \
+ then \
+ for SCRIPT in $(SCRIPTS); \
+ do \
+ shellcheck -e SC2039 $${SCRIPT}; \
+ echo -n "."; \
+ done; \
+ else \
+ echo "Note: shellcheck not installed, skipping shellcheck."; \
+ fi
+ @echo " done."
+
+build:
+
+install: build
+ mkdir -p $(DESTDIR)/usr/bin
+ cp -r bin/* $(DESTDIR)/usr/bin
+
+uninstall:
+ for FILE in bin/*; \
+ do \
+ rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
+ done
+ rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true
+
+ rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true
+
+clean:
+
+distclean:
+
+reinstall: uninstall install
diff --git a/znuny/bin/otrs.Console.pl b/znuny/bin/otrs.Console.pl
new file mode 100755
index 0000000..0e72b93
--- /dev/null
+++ b/znuny/bin/otrs.Console.pl
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+sudo -u otrs /usr/share/otrs/bin/otrs.Console.pl ${@}
diff --git a/znuny/bin/otrs.Daemon.pl b/znuny/bin/otrs.Daemon.pl
new file mode 100755
index 0000000..7882d1d
--- /dev/null
+++ b/znuny/bin/otrs.Daemon.pl
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+sudo -u otrs /usr/share/otrs/bin/otrs.Daemon.pl ${@}
diff --git a/znuny/bin/znuny-setup b/znuny/bin/znuny-setup
new file mode 100755
index 0000000..5345c42
--- /dev/null
+++ b/znuny/bin/znuny-setup
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+ARGUMENTS="${@}"
+
+if [ -z "${ARGUMENTS}" ]
+then
+ echo "Usage: ${0} fix-permissions"
+ exit 1
+fi
+
+case "${ARGUMENTS}" in
+ fix-permissions)
+ echo "# this will set owner and permissions on article"
+ echo "# this can take a long time.. waiting 5s before beginning..."
+ sleep 5
+
+ echo "# setting permissions for local extensions"
+
+ echo "chmod g+w -R /usr/share/otrs/"
+ chmod g+w -R /usr/share/otrs/
+
+ echo "chmod g+w -R /var/lib/otrs/"
+ chmod g+w -R /var/lib/otrs/
+
+ echo "chgrp www-data -R /var/lib/otrs/"
+ chgrp www-data -R /var/lib/otrs/
+
+ echo "chgrp www-data -R /usr/share/otrs/"
+ chgrp www-data -R /usr/share/otrs/
+
+ echo "# setting permissions on articles"
+
+ echo "chown -R otrs:www-data /var/lib/otrs/article/"
+ chown -R otrs:www-data /var/lib/otrs/article/
+
+ echo "chmod -R 0775 /var/lib/otrs/article/"
+ chmod -R 0775 /var/lib/otrs/article/
+
+ echo "find /var/lib/otrs/article/ -type f -exec chmod 0664 {} +"
+ find /var/lib/otrs/article/ -type f -exec chmod 0664 {} +
+
+ echo "chmod g+s -R /var/lib/otrs/article/"
+ chmod g+s -R /var/lib/otrs/article/
+ ;;
+esac